$utilities: (
  "align": (
    property: vertical-align,
    class: align,
    values: baseline top middle bottom text-bottom text-top,
  ),
  "float": (
    responsive: true,
    property: float,
    values: (
      start: left,
      end: right,
      none: none,
    ),
  ),$utilities: (
  "align": (
    property: vertical-align,
    class: align,
    values: baseline top middle bottom text-bottom text-top,
  ),
  "float": (
    responsive: true,
    property: float,
    values: (
      start: left,
      end: right,
      none: none,
    ),
  ),
  "object-fit": (
    responsive: true,
    property: object-fit,
    values: (
      contain: contain,
      cover: cover,
      fill: fill,
      scale: scale-down,
      none: none,
    ),
  ),
  "opacity": (
    property: opacity,
    values: (
      0: 0,
      25: 0.25,
      50: 0.5,
      75: 0.75,
      100: 1,
    ),
  ),
  "overflow": (
    property: overflow,
    values: auto hidden visible scroll,
    responsive: true,
  ),
  "overflow-x": (
    property: overflow-x,
    values: auto hidden visible scroll,
    responsive: true,
  ),
  "overflow-y": (
    property: overflow-y,
    values: auto hidden visible scroll,
    responsive: true,
  ),
  "display": (
    responsive: true,
    print: true,
    property: display,
    class: d,
    values: inline inline-block block grid inline-grid table table-row
      table-cell flex inline-flex none,
  ),
  "shadow": (
    property: box-shadow,
    class: shadow,
    responsive: true,
    state: hover,
    values: (
      null: (
        0px 3px 3px -1px rgba(10, 22, 70, 0.1),
        0px 0px 1px 0px rgba(10, 22, 70, 0.06),
      ),
      1: (
        0px 1px 1px 0px rgba(10, 22, 70, 0.1),
        0px 0px 1px 0px rgba(10, 22, 70, 0.06),
      ),
      2: (
        0px 6px 6px -1px rgba(10, 22, 70, 0.1),
        0px 0px 1px 0px rgba(10, 22, 70, 0.06),
      ),
      3: (
        0px 9px 9px -1px rgba(10, 22, 70, 0.1),
        0px 0px 1px 0px rgba(10, 22, 70, 0.06),
      ),
      4: (
        0px 16px 16px -1px rgba(10, 22, 70, 0.1),
        0px 0px 1px 0px rgba(10, 22, 70, 0.06),
      ),
      5: (
        0px 32px 40px -2px rgba(10, 22, 70, 0.1),
        0px 0px 1px 0px rgba(10, 22, 70, 0.06),
      ),
      6: (
        0px 36px 50px 0 rgba(10, 22, 70, 0.1),
        0px 0px 1px 0px rgba(10, 22, 70, 0.06),
      ),
      inset: inset 0 1px 2px rgba(0, 0, 0, 0.075),
      outline: 0 0 0 3px rgba(66, 153, 225, 0.5),
      focus: 0 0 0 3px rgba(66, 153, 225, 0.5),
      none: none,
    ),
  ),
  "focus-ring": (
    css-var: true,
    css-variable-name: focus-ring-color,
    class: focus-ring,
    values: (
      "primary": rgba(var(--x-primary-rgb), var(--x-focus-ring-opacity)),
      "secondary": rgba(var(--x-secondary-rgb), var(--x-focus-ring-opacity)),
      "success": rgba(var(--x-success-rgb), var(--x-focus-ring-opacity)),
      "info": rgba(var(--x-info-rgb), var(--x-focus-ring-opacity)),
      "warning": rgba(var(--x-warning-rgb), var(--x-focus-ring-opacity)),
      "danger": rgba(var(--x-danger-rgb), var(--x-focus-ring-opacity)),
      "light": rgba(var(--x-light-rgb), var(--x-focus-ring-opacity)),
      "dark": rgba(var(--x-dark-rgb), var(--x-focus-ring-opacity)),
    ),
  ),
  "position": (
    property: position,
    values: static relative absolute fixed sticky,
    responsive: true,
  ),
  "top": (
    property: top,
    values: (
      0: 0,
      50: 50%,
      100: 100%,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
    responsive: true,
  ),
  "bottom": (
    property: bottom,
    values: (
      0: 0,
      50: 50%,
      100: 100%,
    ),
    responsive: true,
  ),
  "start": (
    property: left,
    class: start,
    values: (
      0: 0,
      50: 50%,
      100: 100%,
    ),
    responsive: true,
  ),
  "end": (
    property: right,
    class: end,
    values: (
      0: 0,
      50: 50%,
      100: 100%,
    ),
    responsive: true,
  ),
  "translate-middle": (
    property: transform,
    class: translate-middle,
    values: (
      null: translate(-50%, -50%),
      x: translateX(-50%),
      y: translateY(-50%),
    ),
  ),
  "border": (
    property: border,
    values: (
      null: var(--x-border-width) var(--x-border-style) var(--x-border-color),
      0: 0,
    ),
    responsive: true,
  ),
  "border-top": (
    property: border-top,
    values: (
      null: var(--x-border-width) var(--x-border-style) var(--x-border-color),
      0: 0,
    ),
    responsive: true,
  ),
  "border-end": (
    property: border-right,
    class: border-end,
    values: (
      null: var(--x-border-width) var(--x-border-style) var(--x-border-color),
      0: 0,
    ),
    responsive: true,
  ),
  "border-bottom": (
    property: border-bottom,
    values: (
      null: var(--x-border-width) var(--x-border-style) var(--x-border-color),
      0: 0,
    ),
    responsive: true,
  ),
  "border-start": (
    property: border-left,
    class: border-start,
    values: (
      null: var(--x-border-width) var(--x-border-style) var(--x-border-color),
      0: 0,
    ),
    responsive: true,
  ),
  "border-color": (
    property: border-color,
    class: border,
    local-vars: (
      "border-opacity": 1,
    ),
    values: (
      "primary": rgba(var(--x-primary-rgb), var(--x-border-opacity)),
      "secondary": rgba(var(--x-secondary-rgb), var(--x-border-opacity)),
      "success": rgba(var(--x-success-rgb), var(--x-border-opacity)),
      "info": rgba(var(--x-info-rgb), var(--x-border-opacity)),
      "warning": rgba(var(--x-warning-rgb), var(--x-border-opacity)),
      "danger": rgba(var(--x-danger-rgb), var(--x-border-opacity)),
      "light": rgba(var(--x-light-rgb), var(--x-border-opacity)),
      "dark": rgba(var(--x-dark-rgb), var(--x-border-opacity)),
      "black": rgba(var(--x-black-rgb), var(--x-border-opacity)),
      "white": rgba(var(--x-white-rgb), var(--x-border-opacity)),
      "blue-100": #d8e6fd,
      "blue-200": #b1cdfb,
      "blue-300": #89b4fa,
      "blue-400": #629bf8,
      "blue-500": #3b82f6,
      "blue-600": #2f68c5,
      "blue-700": #234e94,
      "blue-800": #183462,
      "blue-900": #0c1a31,
      "indigo-100": #e0e0fc,
      "indigo-200": #c1c2f9,
      "indigo-300": #a1a3f7,
      "indigo-400": #8285f4,
      "indigo-500": #6366f1,
      "indigo-600": #4f52c1,
      "indigo-700": #3b3d91,
      "indigo-800": #282960,
      "indigo-900": #141430,
      "purple-100": #e8defd,
      "purple-200": #d1befb,
      "purple-300": #b99dfa,
      "purple-400": #a27df8,
      "purple-500": #8b5cf6,
      "purple-600": #6f4ac5,
      "purple-700": #533794,
      "purple-800": #382562,
      "purple-900": #1c1231,
      "pink-100": #fbdaeb,
      "pink-200": #f7b6d6,
      "pink-300": #f491c2,
      "pink-400": #f06dad,
      "pink-500": #ec4899,
      "pink-600": #bd3a7a,
      "pink-700": #8e2b5c,
      "pink-800": #5e1d3d,
      "pink-900": #2f0e1f,
      "red-100": #fcdada,
      "red-200": #f9b4b4,
      "red-300": #f58f8f,
      "red-400": #f26969,
      "red-500": #ef4444,
      "red-600": #bf3636,
      "red-700": #8f2929,
      "red-800": #601b1b,
      "red-900": #300e0e,
      "orange-100": #fee3d0,
      "orange-200": #fdc7a2,
      "orange-300": #fbab73,
      "orange-400": #fa8f45,
      "orange-500": #f97316,
      "orange-600": #c75c12,
      "orange-700": #95450d,
      "orange-800": #642e09,
      "orange-900": #321704,
      "yellow-100": #fbf0ce,
      "yellow-200": #f7e19c,
      "yellow-300": #f2d16b,
      "yellow-400": #eec239,
      "yellow-500": #eab308,
      "yellow-600": #bb8f06,
      "yellow-700": #8c6b05,
      "yellow-800": #5e4803,
      "yellow-900": #2f2402,
      "green-100": #d3f3df,
      "green-200": #a7e8bf,
      "green-300": #7adc9e,
      "green-400": #4ed17e,
      "green-500": #22c55e,
      "green-600": #1b9e4b,
      "green-700": #147638,
      "green-800": #0e4f26,
      "green-900": #072713,
      "teal-100": #d0f1ed,
      "teal-200": #a1e3db,
      "teal-300": #72d4ca,
      "teal-400": #43c6b8,
      "teal-500": #14b8a6,
      "teal-600": #109385,
      "teal-700": #0c6e64,
      "teal-800": #084a42,
      "teal-900": #042521,
      "cyan-100": #cdf0f6,
      "cyan-200": #9be2ee,
      "cyan-300": #6ad3e5,
      "cyan-400": #38c5dd,
      "cyan-500": #06b6d4,
      "cyan-600": #0592aa,
      "cyan-700": #046d7f,
      "cyan-800": #024955,
      "cyan-900": #01242a,
    ),
    responsive: true,
  ),
  "subtle-border-color": (
    property: border-color,
    class: border,
    values: (
      "primary-subtle": var(--x-primary-border-subtle),
      "secondary-subtle": var(--x-secondary-border-subtle),
      "success-subtle": var(--x-success-border-subtle),
      "info-subtle": var(--x-info-border-subtle),
      "warning-subtle": var(--x-warning-border-subtle),
      "danger-subtle": var(--x-danger-border-subtle),
      "light-subtle": var(--x-light-border-subtle),
      "dark-subtle": var(--x-dark-border-subtle),
    ),
  ),
  "border-width": (
    property: border-width,
    class: border,
    values: (
      1: 1px,
      2: 2px,
      3: 3px,
      4: 4px,
      5: 5px,
    ),
  ),
  "border-opacity": (
    css-var: true,
    class: border-opacity,
    values: (
      0: 0,
      10: 0.1,
      25: 0.25,
      50: 0.5,
      75: 0.75,
      100: 1,
    ),
    state: hover,
  ),
  "width": (
    property: width,
    class: w,
    values: (
      25: 25%,
      50: 50%,
      75: 75%,
      100: 100%,
      auto: auto,
    ),
    responsive: true,
  ),
  "max-width": (
    property: max-width,
    class: mw,
    values: (
      screen-sm: 640px,
      screen-md: 768px,
      screen-lg: 1024px,
      screen-xl: 1280px,
      screen-xxl: 1536px,
      0: 0,
      full: 100%,
      read: 65ch,
      min: min-content,
      max: max-content,
    ),
    responsive: true,
  ),
  "viewport-width": (
    property: width,
    class: vw,
    values: (
      100: 100vw,
    ),
  ),
  "min-viewport-width": (
    property: min-width,
    class: min-vw,
    values: (
      100: 100vw,
    ),
  ),
  "height": (
    property: height,
    class: h,
    values: (
      25: 25%,
      50: 50%,
      75: 75%,
      100: 100%,
      auto: auto,
    ),
    responsive: true,
  ),
  "max-height": (
    property: max-height,
    class: mh,
    values: (
      100: 100%,
    ),
  ),
  "viewport-height": (
    property: height,
    class: vh,
    values: (
      100: 100vh,
    ),
    responsive: true,
  ),
  "min-viewport-height": (
    property: min-height,
    class: min-vh,
    values: (
      100: 100vh,
    ),
  ),
  "flex": (
    responsive: true,
    property: flex,
    values: (
      fill: 1 1 auto,
      initial: 0 1 auto,
      none: none,
    ),
  ),
  "flex-direction": (
    responsive: true,
    property: flex-direction,
    class: flex,
    values: row column row-reverse column-reverse,
  ),
  "flex-grow": (
    responsive: true,
    property: flex-grow,
    class: flex,
    values: (
      grow-0: 0,
      grow-1: 1,
    ),
  ),
  "flex-shrink": (
    responsive: true,
    property: flex-shrink,
    class: flex,
    values: (
      shrink-0: 0,
      shrink-1: 1,
    ),
  ),
  "flex-wrap": (
    responsive: true,
    property: flex-wrap,
    class: flex,
    values: wrap nowrap wrap-reverse,
  ),
  "justify-content": (
    responsive: true,
    property: justify-content,
    values: (
      start: flex-start,
      end: flex-end,
      center: center,
      between: space-between,
      around: space-around,
      evenly: space-evenly,
    ),
  ),
  "align-items": (
    responsive: true,
    property: align-items,
    values: (
      start: flex-start,
      end: flex-end,
      center: center,
      baseline: baseline,
      stretch: stretch,
    ),
  ),
  "align-content": (
    responsive: true,
    property: align-content,
    values: (
      start: flex-start,
      end: flex-end,
      center: center,
      between: space-between,
      around: space-around,
      stretch: stretch,
    ),
  ),
  "align-self": (
    responsive: true,
    property: align-self,
    values: (
      auto: auto,
      start: flex-start,
      end: flex-end,
      center: center,
      baseline: baseline,
      stretch: stretch,
    ),
  ),
  "order": (
    responsive: true,
    property: order,
    values: (
      first: -1,
      0: 0,
      1: 1,
      2: 2,
      3: 3,
      4: 4,
      5: 5,
      last: 6,
    ),
  ),
  "margin": (
    responsive: true,
    property: margin,
    class: m,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
      auto: auto,
    ),
  ),
  "margin-x": (
    responsive: true,
    property: margin-right margin-left,
    class: mx,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
      auto: auto,
    ),
  ),
  "margin-y": (
    responsive: true,
    property: margin-top margin-bottom,
    class: my,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
      auto: auto,
    ),
  ),
  "margin-top": (
    responsive: true,
    property: margin-top,
    class: mt,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
      auto: auto,
    ),
  ),
  "margin-end": (
    responsive: true,
    property: margin-right,
    class: me,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
      auto: auto,
    ),
  ),
  "margin-bottom": (
    responsive: true,
    property: margin-bottom,
    class: mb,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
      auto: auto,
    ),
  ),
  "margin-start": (
    responsive: true,
    property: margin-left,
    class: ms,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
      auto: auto,
    ),
  ),
  "negative-margin": (
    responsive: true,
    property: margin,
    class: m,
    values: (
      "n1": -0.25rem,
      "n2": -0.5rem,
      "n3": -0.75rem,
      "n4": -1rem,
      "n5": -1.25rem,
      "n6": -1.5rem,
      "n7": -1.75rem,
      "n8": -2rem,
      "n10": -2.5rem,
      "n12": -3rem,
      "n14": -3.5rem,
      "n16": -4rem,
      "n18": -4.5rem,
      "n20": -5rem,
      "n24": -6rem,
      "n32": -8rem,
      "n40": -10rem,
      "n48": -12rem,
      "n56": -14rem,
      "n64": -16rem,
      "n72": -18rem,
      "n80": -20rem,
      "npx": -1px,
    ),
  ),
  "negative-margin-x": (
    responsive: true,
    property: margin-right margin-left,
    class: mx,
    values: (
      "n1": -0.25rem,
      "n2": -0.5rem,
      "n3": -0.75rem,
      "n4": -1rem,
      "n5": -1.25rem,
      "n6": -1.5rem,
      "n7": -1.75rem,
      "n8": -2rem,
      "n10": -2.5rem,
      "n12": -3rem,
      "n14": -3.5rem,
      "n16": -4rem,
      "n18": -4.5rem,
      "n20": -5rem,
      "n24": -6rem,
      "n32": -8rem,
      "n40": -10rem,
      "n48": -12rem,
      "n56": -14rem,
      "n64": -16rem,
      "n72": -18rem,
      "n80": -20rem,
      "npx": -1px,
    ),
  ),
  "negative-margin-y": (
    responsive: true,
    property: margin-top margin-bottom,
    class: my,
    values: (
      "n1": -0.25rem,
      "n2": -0.5rem,
      "n3": -0.75rem,
      "n4": -1rem,
      "n5": -1.25rem,
      "n6": -1.5rem,
      "n7": -1.75rem,
      "n8": -2rem,
      "n10": -2.5rem,
      "n12": -3rem,
      "n14": -3.5rem,
      "n16": -4rem,
      "n18": -4.5rem,
      "n20": -5rem,
      "n24": -6rem,
      "n32": -8rem,
      "n40": -10rem,
      "n48": -12rem,
      "n56": -14rem,
      "n64": -16rem,
      "n72": -18rem,
      "n80": -20rem,
      "npx": -1px,
    ),
  ),
  "negative-margin-top": (
    responsive: true,
    property: margin-top,
    class: mt,
    values: (
      "n1": -0.25rem,
      "n2": -0.5rem,
      "n3": -0.75rem,
      "n4": -1rem,
      "n5": -1.25rem,
      "n6": -1.5rem,
      "n7": -1.75rem,
      "n8": -2rem,
      "n10": -2.5rem,
      "n12": -3rem,
      "n14": -3.5rem,
      "n16": -4rem,
      "n18": -4.5rem,
      "n20": -5rem,
      "n24": -6rem,
      "n32": -8rem,
      "n40": -10rem,
      "n48": -12rem,
      "n56": -14rem,
      "n64": -16rem,
      "n72": -18rem,
      "n80": -20rem,
      "npx": -1px,
    ),
  ),
  "negative-margin-end": (
    responsive: true,
    property: margin-right,
    class: me,
    values: (
      "n1": -0.25rem,
      "n2": -0.5rem,
      "n3": -0.75rem,
      "n4": -1rem,
      "n5": -1.25rem,
      "n6": -1.5rem,
      "n7": -1.75rem,
      "n8": -2rem,
      "n10": -2.5rem,
      "n12": -3rem,
      "n14": -3.5rem,
      "n16": -4rem,
      "n18": -4.5rem,
      "n20": -5rem,
      "n24": -6rem,
      "n32": -8rem,
      "n40": -10rem,
      "n48": -12rem,
      "n56": -14rem,
      "n64": -16rem,
      "n72": -18rem,
      "n80": -20rem,
      "npx": -1px,
    ),
  ),
  "negative-margin-bottom": (
    responsive: true,
    property: margin-bottom,
    class: mb,
    values: (
      "n1": -0.25rem,
      "n2": -0.5rem,
      "n3": -0.75rem,
      "n4": -1rem,
      "n5": -1.25rem,
      "n6": -1.5rem,
      "n7": -1.75rem,
      "n8": -2rem,
      "n10": -2.5rem,
      "n12": -3rem,
      "n14": -3.5rem,
      "n16": -4rem,
      "n18": -4.5rem,
      "n20": -5rem,
      "n24": -6rem,
      "n32": -8rem,
      "n40": -10rem,
      "n48": -12rem,
      "n56": -14rem,
      "n64": -16rem,
      "n72": -18rem,
      "n80": -20rem,
      "npx": -1px,
    ),
  ),
  "negative-margin-start": (
    responsive: true,
    property: margin-left,
    class: ms,
    values: (
      "n1": -0.25rem,
      "n2": -0.5rem,
      "n3": -0.75rem,
      "n4": -1rem,
      "n5": -1.25rem,
      "n6": -1.5rem,
      "n7": -1.75rem,
      "n8": -2rem,
      "n10": -2.5rem,
      "n12": -3rem,
      "n14": -3.5rem,
      "n16": -4rem,
      "n18": -4.5rem,
      "n20": -5rem,
      "n24": -6rem,
      "n32": -8rem,
      "n40": -10rem,
      "n48": -12rem,
      "n56": -14rem,
      "n64": -16rem,
      "n72": -18rem,
      "n80": -20rem,
      "npx": -1px,
    ),
  ),
  "padding": (
    responsive: true,
    property: padding,
    class: p,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
  ),
  "padding-x": (
    responsive: true,
    property: padding-right padding-left,
    class: px,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
  ),
  "padding-y": (
    responsive: true,
    property: padding-top padding-bottom,
    class: py,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
  ),
  "padding-top": (
    responsive: true,
    property: padding-top,
    class: pt,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
  ),
  "padding-end": (
    responsive: true,
    property: padding-right,
    class: pe,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
  ),
  "padding-bottom": (
    responsive: true,
    property: padding-bottom,
    class: pb,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
  ),
  "padding-start": (
    responsive: true,
    property: padding-left,
    class: ps,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
  ),
  "gap": (
    responsive: true,
    property: gap,
    class: gap,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
  ),
  "row-gap": (
    responsive: true,
    property: row-gap,
    class: row-gap,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
  ),
  "column-gap": (
    responsive: true,
    property: column-gap,
    class: column-gap,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
  ),
  "font-family": (
    property: font-family,
    class: font,
    values: (
      monospace: var(--x-font-monospace),
      base: var(--x-font-sans-serif),
      serif: var(--x-font-serif),
      display: var(--x-font-display),
      code: var(--x-font-monospace),
    ),
  ),
  "font-size": (
    rfs: true,
    property: font-size,
    class: fs,
    values: (
      1: 2.25rem,
      2: 1.75rem,
      3: 1.375rem,
      4: 1.125rem,
      5: 1rem,
      6: 0.875rem,
    ),
  ),
  "font-style": (
    property: font-style,
    class: fst,
    values: italic normal,
  ),
  "font-weight": (
    property: font-weight,
    class: fw,
    values: (
      lighter: lighter,
      light: 300,
      normal: 400,
      medium: 500,
      semibold: 500,
      bold: 600,
      bolder: 700,
    ),
  ),
  "line-height": (
    property: line-height,
    class: lh,
    values: (
      1: 1,
      xxs: 1.125,
      xs: 1.2,
      sm: 1.375,
      base: 1.5,
      lg: 1.625,
      xl: 2,
    ),
  ),
  "text-align": (
    responsive: true,
    property: text-align,
    class: text,
    values: (
      start: left,
      end: right,
      center: center,
    ),
  ),
  "text-decoration": (
    property: text-decoration,
    values: none underline line-through,
  ),
  "text-transform": (
    property: text-transform,
    class: text,
    values: lowercase uppercase capitalize,
  ),
  "white-space": (
    property: white-space,
    class: text,
    values: (
      wrap: normal,
      nowrap: nowrap,
    ),
  ),
  "word-wrap": (
    property: word-wrap word-break,
    class: text,
    values: (
      break: break-word,
    ),
    rtl: false,
  ),
  "color": (
    property: color,
    class: text,
    local-vars: (
      "text-opacity": 1,
    ),
    values: (
      "primary": rgba(var(--x-primary-rgb), var(--x-text-opacity)),
      "secondary": rgba(var(--x-secondary-rgb), var(--x-text-opacity)),
      "success": rgba(var(--x-success-rgb), var(--x-text-opacity)),
      "info": rgba(var(--x-info-rgb), var(--x-text-opacity)),
      "warning": rgba(var(--x-warning-rgb), var(--x-text-opacity)),
      "danger": rgba(var(--x-danger-rgb), var(--x-text-opacity)),
      "light": rgba(var(--x-light-rgb), var(--x-text-opacity)),
      "dark": rgba(var(--x-dark-rgb), var(--x-text-opacity)),
      "black": rgba(var(--x-black-rgb), var(--x-text-opacity)),
      "white": rgba(var(--x-white-rgb), var(--x-text-opacity)),
      "body": rgba(var(--x-body-color-rgb), var(--x-text-opacity)),
      "muted": var(--x-secondary-color),
      "black-50": rgba(0, 0, 0, 0.5),
      "white-50": rgba(255, 255, 255, 0.5),
      "body-secondary": var(--x-secondary-color),
      "body-tertiary": var(--x-tertiary-color),
      "body-emphasis": var(--x-emphasis-color),
      "reset": inherit,
      "heading": var(--x-heading-color),
    ),
    state: hover,
  ),
  "text-opacity": (
    css-var: true,
    class: text-opacity,
    values: (
      25: 0.25,
      50: 0.5,
      75: 0.75,
      100: 1,
    ),
    state: hover,
  ),
  "text-color": (
    property: color,
    class: text,
    values: (
      "primary-emphasis": var(--x-primary-text-emphasis),
      "secondary-emphasis": var(--x-secondary-text-emphasis),
      "success-emphasis": var(--x-success-text-emphasis),
      "info-emphasis": var(--x-info-text-emphasis),
      "warning-emphasis": var(--x-warning-text-emphasis),
      "danger-emphasis": var(--x-danger-text-emphasis),
      "light-emphasis": var(--x-light-text-emphasis),
      "dark-emphasis": var(--x-dark-text-emphasis),
    ),
  ),
  "link-opacity": (
    css-var: true,
    class: link-opacity,
    state: hover,
    values: (
      10: 0.1,
      25: 0.25,
      50: 0.5,
      75: 0.75,
      100: 1,
    ),
  ),
  "link-offset": (
    property: text-underline-offset,
    class: link-offset,
    state: hover,
    values: (
      1: 0.125em,
      2: 0.25em,
      3: 0.375em,
    ),
  ),
  "link-underline": (
    property: text-decoration-color,
    class: link-underline,
    local-vars: (
      "link-underline-opacity": 1,
    ),
    values: (
      "primary": rgba(var(--x-primary-rgb), var(--x-link-underline-opacity)),
      "secondary": rgba(var(--x-secondary-rgb), var(--x-link-underline-opacity)),
      "success": rgba(var(--x-success-rgb), var(--x-link-underline-opacity)),
      "info": rgba(var(--x-info-rgb), var(--x-link-underline-opacity)),
      "warning": rgba(var(--x-warning-rgb), var(--x-link-underline-opacity)),
      "danger": rgba(var(--x-danger-rgb), var(--x-link-underline-opacity)),
      "light": rgba(var(--x-light-rgb), var(--x-link-underline-opacity)),
      "dark": rgba(var(--x-dark-rgb), var(--x-link-underline-opacity)),
      null: rgba(var(--x-link-color-rgb), var(--x-link-underline-opacity, 1)),
    ),
  ),
  "link-underline-opacity": (
    css-var: true,
    class: link-underline-opacity,
    state: hover,
    values: (
      0: 0,
      10: 0.1,
      25: 0.25,
      50: 0.5,
      75: 0.75,
      100: 1,
    ),
  ),
  "background-color": (
    property: background-color,
    class: bg,
    local-vars: (
      "bg-opacity": 1,
    ),
    values: (
      "primary": rgba(var(--x-primary-rgb), var(--x-bg-opacity)),
      "secondary": rgba(var(--x-secondary-rgb), var(--x-bg-opacity)),
      "success": rgba(var(--x-success-rgb), var(--x-bg-opacity)),
      "info": rgba(var(--x-info-rgb), var(--x-bg-opacity)),
      "warning": rgba(var(--x-warning-rgb), var(--x-bg-opacity)),
      "danger": rgba(var(--x-danger-rgb), var(--x-bg-opacity)),
      "light": rgba(var(--x-light-rgb), var(--x-bg-opacity)),
      "dark": rgba(var(--x-dark-rgb), var(--x-bg-opacity)),
      "black": rgba(var(--x-black-rgb), var(--x-bg-opacity)),
      "white": rgba(var(--x-white-rgb), var(--x-bg-opacity)),
      "body": rgba(var(--x-body-bg-rgb), var(--x-bg-opacity)),
      "transparent": transparent,
      "body-secondary": rgba(var(--x-secondary-bg-rgb), var(--x-bg-opacity)),
      "body-tertiary": rgba(var(--x-tertiary-bg-rgb), var(--x-bg-opacity)),
      "blue-100": #d8e6fd,
      "blue-200": #b1cdfb,
      "blue-300": #89b4fa,
      "blue-400": #629bf8,
      "blue-500": #3b82f6,
      "blue-600": #2f68c5,
      "blue-700": #234e94,
      "blue-800": #183462,
      "blue-900": #0c1a31,
      "indigo-100": #e0e0fc,
      "indigo-200": #c1c2f9,
      "indigo-300": #a1a3f7,
      "indigo-400": #8285f4,
      "indigo-500": #6366f1,
      "indigo-600": #4f52c1,
      "indigo-700": #3b3d91,
      "indigo-800": #282960,
      "indigo-900": #141430,
      "purple-100": #e8defd,
      "purple-200": #d1befb,
      "purple-300": #b99dfa,
      "purple-400": #a27df8,
      "purple-500": #8b5cf6,
      "purple-600": #6f4ac5,
      "purple-700": #533794,
      "purple-800": #382562,
      "purple-900": #1c1231,
      "pink-100": #fbdaeb,
      "pink-200": #f7b6d6,
      "pink-300": #f491c2,
      "pink-400": #f06dad,
      "pink-500": #ec4899,
      "pink-600": #bd3a7a,
      "pink-700": #8e2b5c,
      "pink-800": #5e1d3d,
      "pink-900": #2f0e1f,
      "red-100": #fcdada,
      "red-200": #f9b4b4,
      "red-300": #f58f8f,
      "red-400": #f26969,
      "red-500": #ef4444,
      "red-600": #bf3636,
      "red-700": #8f2929,
      "red-800": #601b1b,
      "red-900": #300e0e,
      "orange-100": #fee3d0,
      "orange-200": #fdc7a2,
      "orange-300": #fbab73,
      "orange-400": #fa8f45,
      "orange-500": #f97316,
      "orange-600": #c75c12,
      "orange-700": #95450d,
      "orange-800": #642e09,
      "orange-900": #321704,
      "yellow-100": #fbf0ce,
      "yellow-200": #f7e19c,
      "yellow-300": #f2d16b,
      "yellow-400": #eec239,
      "yellow-500": #eab308,
      "yellow-600": #bb8f06,
      "yellow-700": #8c6b05,
      "yellow-800": #5e4803,
      "yellow-900": #2f2402,
      "green-100": #d3f3df,
      "green-200": #a7e8bf,
      "green-300": #7adc9e,
      "green-400": #4ed17e,
      "green-500": #22c55e,
      "green-600": #1b9e4b,
      "green-700": #147638,
      "green-800": #0e4f26,
      "green-900": #072713,
      "teal-100": #d0f1ed,
      "teal-200": #a1e3db,
      "teal-300": #72d4ca,
      "teal-400": #43c6b8,
      "teal-500": #14b8a6,
      "teal-600": #109385,
      "teal-700": #0c6e64,
      "teal-800": #084a42,
      "teal-900": #042521,
      "cyan-100": #cdf0f6,
      "cyan-200": #9be2ee,
      "cyan-300": #6ad3e5,
      "cyan-400": #38c5dd,
      "cyan-500": #06b6d4,
      "cyan-600": #0592aa,
      "cyan-700": #046d7f,
      "cyan-800": #024955,
      "cyan-900": #01242a,
      "gray-50": #f8fafc,
      "gray-100": #f1f5f9,
      "gray-200": #e2e8f0,
      "gray-300": #cbd5e1,
      "gray-400": #94a3b8,
      "gray-500": #64748b,
      "gray-600": #475569,
      "gray-700": #334155,
      "gray-800": #1e293b,
      "gray-900": #0f172a,
      "gray-950": #020617,
    ),
    state: hover,
  ),
  "bg-opacity": (
    css-var: true,
    class: bg-opacity,
    values: (
      10: 0.1,
      25: 0.25,
      50: 0.5,
      75: 0.75,
      100: 1,
    ),
    state: hover,
  ),
  "subtle-background-color": (
    property: background-color,
    class: bg,
    values: (
      "primary-subtle": var(--x-primary-bg-subtle),
      "secondary-subtle": var(--x-secondary-bg-subtle),
      "success-subtle": var(--x-success-bg-subtle),
      "info-subtle": var(--x-info-bg-subtle),
      "warning-subtle": var(--x-warning-bg-subtle),
      "danger-subtle": var(--x-danger-bg-subtle),
      "light-subtle": var(--x-light-bg-subtle),
      "dark-subtle": var(--x-dark-bg-subtle),
    ),
  ),
  "gradient": (
    property: background-image,
    class: bg,
    values: (
      gradient: var(--x-gradient),
    ),
  ),
  "user-select": (
    property: user-select,
    values: all auto none,
  ),
  "pointer-events": (
    property: pointer-events,
    class: pe,
    values: none auto,
  ),
  "rounded": (
    property: border-radius,
    class: rounded,
    values: (
      null: 0.375rem,
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.5rem,
      6: 3rem,
      pill: 50rem,
      circle: 50%,
      card: var(--x-border-radius-xl),
    ),
    responsive: true,
  ),
  "rounded-top": (
    property: border-top-left-radius border-top-right-radius,
    class: rounded-top,
    values: (
      null: 0.375rem,
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.5rem,
      6: 3rem,
      pill: 50rem,
      circle: 50%,
      card: var(--x-border-radius-xl),
    ),
    responsive: true,
  ),
  "rounded-end": (
    property: border-top-right-radius border-bottom-right-radius,
    class: rounded-end,
    values: (
      null: 0.375rem,
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.5rem,
      6: 3rem,
      pill: 50rem,
      circle: 50%,
      card: var(--x-border-radius-xl),
    ),
    responsive: true,
  ),
  "rounded-bottom": (
    property: border-bottom-right-radius border-bottom-left-radius,
    class: rounded-bottom,
    values: (
      null: 0.375rem,
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.5rem,
      6: 3rem,
      pill: 50rem,
      circle: 50%,
      card: var(--x-border-radius-xl),
    ),
    responsive: true,
  ),
  "rounded-start": (
    property: border-bottom-left-radius border-top-left-radius,
    class: rounded-start,
    values: (
      null: 0.375rem,
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.5rem,
      6: 3rem,
      pill: 50rem,
      circle: 50%,
      card: var(--x-border-radius-xl),
    ),
    responsive: true,
  ),
  "visibility": (
    property: visibility,
    class: null,
    values: (
      visible: visible,
      invisible: hidden,
    ),
  ),
  "z-index": (
    property: z-index,
    class: z,
    values: (
      n1: -1,
      0: 0,
      1: 1,
      2: 2,
      3: 3,
    ),
    state: hover,
  ),
  "rounded-top-start": (
    property: border-top-left-radius,
    class: rounded-top-start,
    responsive: true,
    values: (
      null: 0.375rem,
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.5rem,
      6: 3rem,
      pill: 50rem,
      circle: 50%,
      card: var(--x-border-radius-xl),
    ),
  ),
  "rounded-top-end": (
    property: border-top-right-radius,
    class: rounded-top-end,
    responsive: true,
    values: (
      null: 0.375rem,
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.5rem,
      6: 3rem,
      pill: 50rem,
      circle: 50%,
      card: var(--x-border-radius-xl),
    ),
  ),
  "rounded-bottom-end": (
    property: border-bottom-right-radius,
    class: rounded-bottom-end,
    responsive: true,
    values: (
      null: 0.375rem,
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.5rem,
      6: 3rem,
      pill: 50rem,
      circle: 50%,
      card: var(--x-border-radius-xl),
    ),
  ),
  "rounded-bottom-start": (
    property: border-bottom-left-radius,
    class: rounded-bottom-start,
    responsive: true,
    values: (
      null: 0.375rem,
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.5rem,
      6: 3rem,
      pill: 50rem,
      circle: 50%,
      card: var(--x-border-radius-xl),
    ),
  ),
  "static-border-color": (
    property: border-color,
    class: border,
    values: (
      "transparent": transparent,
      "current": currentColor,
    ),
  ),
  "border-style": (
    css-var: true,
    css-variable-name: border-style,
    class: border,
    values: solid dashed dotted none,
  ),
  "cursor": (
    property: cursor,
    class: cursor,
    values: auto pointer wait text,
  ),
  "alt-font-size": (
    rfs: true,
    property: font-size,
    class: text,
    values: (
      xxs: 0.625rem,
      xs: 0.75rem,
      sm: 0.875rem,
      base: 1rem,
      md: 1.125rem,
      lg: 1.25rem,
      xl: 1.5rem,
      2xl: 2rem,
    ),
  ),
  "letter-spacing": (
    property: letter-spacing,
    class: ls,
    values: (
      tighter: -0.05em,
      tight: -0.025em,
      normal: 0,
      wide: 0.025em,
      wider: 0.05em,
      widest: 0.1em,
    ),
  ),
  "static-color": (
    property: color,
    class: text,
    values: (
      "transparent": transparent,
      "current": currentColor,
    ),
  ),
  "static-background-color": (
    property: background-color,
    class: bg,
    values: (
      "current": currentColor,
    ),
  ),
  "background-size": (
    property: background-size,
    class: bg,
    values: auto cover contain,
  ),
  "background-clip": (
    property: background-clip,
    class: bg-clip,
    values: (
      border: border-box,
      padding: padding-box,
      content: content-box,
      text: text,
    ),
  ),
  "soft-shadow": (
    property: box-shadow,
    class: shadow-soft,
    responsive: true,
    state: hover,
    values: (
      1: 0px 1px 1px 0px rgba(10, 22, 70, 0.04),
      2: 0px 6px 6px -1px rgba(10, 22, 70, 0.04),
      3: 0px 9px 9px -1px rgba(10, 22, 70, 0.04),
      4: 0px 16px 16px -1px rgba(10, 22, 70, 0.04),
      5: 0px 32px 40px -2px rgba(10, 22, 70, 0.04),
      6: 0px 36px 50px 0 rgba(10, 22, 70, 0.04),
      none: none,
    ),
  ),
  "rem-width": (
    property: width,
    class: w-rem,
    responsive: true,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
      25: 25%,
      50: 50%,
      75: 75%,
      100: 100%,
      screen-sm: 640px,
      screen-md: 768px,
      screen-lg: 1024px,
      screen-xl: 1280px,
      screen-xxl: 1536px,
      auto: auto,
      full: 100%,
      screen: 100vw,
      min: min-content,
      max: max-content,
    ),
  ),
  "rem-height": (
    property: height,
    class: h-rem,
    responsive: true,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
  ),
  "scroll-behaviour": (
    property: scroll-behaviour,
    class: scroll,
    values: auto smooth,
  ),
  "scroll-snap-align": (
    property: scroll-snap-align,
    class: scroll-snap,
    values: start end center none,
  ),
  "scroll-snap-stop": (
    property: scroll-snap-stop,
    class: scroll-snap,
    values: normal always,
  ),
  "scroll-snap-type": (
    property: scroll-snap-type,
    class: scroll-snap,
    values: (
      none: none,
      x: x var(--x-scroll-snap-strictness),
      y: y var(--x-scroll-snap-strictness),
      both: both var(--x-scroll-snap-strictness),
    ),
  ),
  "scroll-snap-strictness": (
    css-var: true,
    css-variable-name: scroll-snap-strictness,
    class: scroll-snap,
    values: mandatory proximity,
  ),
  "transition-property": (
    property: transition-property,
    class: transition,
    responsive: true,
    values: (
      null: (
        background-color,
        border-color,
        color,
        fill,
        stroke,
        opacity,
        box-shadow,
        transform,
      ),
      none: none,
      all: all,
      colors: (
        background-color,
        border-color,
        color,
        fill,
        stroke,
      ),
      opacity: opacity,
      shadow: box-shadow,
      transform: transform,
    ),
  ),
  "transition-timing-function": (
    property: transition-timing-function,
    class: ease,
    responsive: true,
    values: (
      base: cubic-bezier(0.4, 0, 0.2, 1),
      linear: linear,
      in: cubic-bezier(0.4, 0, 1, 1),
      out: cubic-bezier(0, 0, 0.2, 1),
      in-out: cubic-bezier(0.4, 0, 0.2, 1),
    ),
  ),
  "transition-duration": (
    property: transition-duration,
    class: duration,
    values: (
      base: 150ms,
      75: 75ms,
      100: 100ms,
      150: 150ms,
      300: 300ms,
      500: 500ms,
      700: 700ms,
      1000: 1000ms,
    ),
  ),
  "transition-delay": (
    property: transition-delay,
    class: delay,
    values: (
      75: 75ms,
      100: 100ms,
      150: 150ms,
      300: 300ms,
      500: 500ms,
      700: 700ms,
      1000: 1000ms,
    ),
  ),
  "animation": (
    property: animation,
    values: (
      none: none,
      spin: spin 1s linear infinite,
      ping: ping 1s cubic-bezier(0, 0, 0.2, 1) infinite,
      pulse: pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite,
      bounce: bounce 1s infinite,
      slide-left: slideLeft 3s infinite,
      slide-right: slideRight 3s infinite,
      move-slow-left: slideLeft 15s linear infinite,
      move-slow-right: slideRight 15s linear infinite,
    ),
  ),
  "blur": (
    property: --bs-blur,
    class: blur,
    values: (
      5: 5px,
      10: 10px,
      25: 25px,
      50: 50px,
      75: 75px,
      100: 100px,
      125: 125px,
      150: 150px,
      200: 200px,
    ),
  ),
  "transform": (
    property: transform,
    values: none,
    responsive: true,
  ),
  "transform-origin": (
    property: transform-origin,
    class: origin,
    values: (
      center: center,
      top: top,
      top-right: top right,
      right: right,
      bottom-right: bottom right,
      bottom: bottom,
      bottom-left: bottom left,
      left: left,
      top-left: top left,
    ),
  ),
  "scale": (
    property: --bs-scale-x --bs-scale-y,
    class: scale,
    state: hover,
    responsive: true,
    values: (
      0: 0,
      25: 0.25,
      50: 0.5,
      75: 0.75,
      100: 1,
      105: 1.05,
      110: 1.1,
    ),
  ),
  "rotate": (
    property: --bs-rotate,
    class: rotate,
    state: hover,
    responsive: true,
    values: (
      0: 0deg,
      1: 1deg,
      2: 2deg,
      3: 3deg,
      6: 6deg,
      12: 12deg,
      30: 30deg,
      45: 45deg,
      90: 90deg,
      180: 180deg,
    ),
  ),
  "negative-rotate": (
    property: --bs-rotate,
    class: rotate,
    state: hover,
    responsive: true,
    values: (
      "n1": -1deg,
      "n2": -2deg,
      "n3": -3deg,
      "n6": -6deg,
      "n12": -12deg,
      "n30": -30deg,
      "n45": -45deg,
      "n90": -90deg,
      "n180": -180deg,
    ),
  ),
  "negative-rotate-y": (
    property: --bs-rotate-y,
    class: rotate-y,
    state: hover,
    responsive: true,
    values: (
      "n1": -1deg,
      "n2": -2deg,
      "n3": -3deg,
      "n6": -6deg,
      "n12": -12deg,
      "n30": -30deg,
      "n45": -45deg,
      "n90": -90deg,
      "n180": -180deg,
    ),
  ),
  "negative-rotate-x": (
    property: --bs-rotate-x,
    class: rotate-x,
    responsive: true,
    values: (
      "n1": -1deg,
      "n2": -2deg,
      "n3": -3deg,
      "n6": -6deg,
      "n12": -12deg,
      "n30": -30deg,
      "n45": -45deg,
      "n90": -90deg,
      "n180": -180deg,
    ),
  ),
  "translate-y": (
    property: --bs-translate-y,
    class: translate-y,
    state: hover,
    responsive: true,
    values: (
      0: 0,
      25: 25%,
      50: 50%,
      75: 75%,
      100: 100%,
    ),
  ),
  "negative-translate-y": (
    property: --bs-translate-y,
    class: translate-y,
    state: hover,
    responsive: true,
    values: (
      "n25": -25%,
      "n50": -50%,
      "n75": -75%,
      "n100": -100%,
    ),
  ),
  "translate-x": (
    property: --bs-translate-x,
    class: translate-x,
    state: hover,
    responsive: true,
    values: (
      0: 0,
      25: 25%,
      50: 50%,
      75: 75%,
      100: 100%,
    ),
  ),
  "negative-translate-x": (
    property: --bs-translate-x,
    class: translate-x,
    state: hover,
    responsive: true,
    values: (
      "n25": -25%,
      "n50": -50%,
      "n75": -75%,
      "n100": -100%,
    ),
  ),
);

  "object-fit": (
    responsive: true,
    property: object-fit,
    values: (
      contain: contain,
      cover: cover,
      fill: fill,
      scale: scale-down,
      none: none,
    ),
  ),
  "opacity": (
    property: opacity,
    values: (
      0: 0,
      25: 0.25,
      50: 0.5,
      75: 0.75,
      100: 1,
    ),
  ),
  "overflow": (
    property: overflow,
    values: auto hidden visible scroll,
    responsive: true,
  ),
  "overflow-x": (
    property: overflow-x,
    values: auto hidden visible scroll,
    responsive: true,
  ),
  "overflow-y": (
    property: overflow-y,
    values: auto hidden visible scroll,
    responsive: true,
  ),
  "display": (
    responsive: true,
    print: true,
    property: display,
    class: d,
    values: inline inline-block block grid inline-grid table table-row
      table-cell flex inline-flex none,
  ),
  "shadow": (
    property: box-shadow,
    class: shadow,
    responsive: true,
    state: hover,
    values: (
      null: (
        0px 3px 3px -1px rgba(10, 22, 70, 0.1),
        0px 0px 1px 0px rgba(10, 22, 70, 0.06),
      ),
      1: (
        0px 1px 1px 0px rgba(10, 22, 70, 0.1),
        0px 0px 1px 0px rgba(10, 22, 70, 0.06),
      ),
      2: (
        0px 6px 6px -1px rgba(10, 22, 70, 0.1),
        0px 0px 1px 0px rgba(10, 22, 70, 0.06),
      ),
      3: (
        0px 9px 9px -1px rgba(10, 22, 70, 0.1),
        0px 0px 1px 0px rgba(10, 22, 70, 0.06),
      ),
      4: (
        0px 16px 16px -1px rgba(10, 22, 70, 0.1),
        0px 0px 1px 0px rgba(10, 22, 70, 0.06),
      ),
      5: (
        0px 32px 40px -2px rgba(10, 22, 70, 0.1),
        0px 0px 1px 0px rgba(10, 22, 70, 0.06),
      ),
      6: (
        0px 36px 50px 0 rgba(10, 22, 70, 0.1),
        0px 0px 1px 0px rgba(10, 22, 70, 0.06),
      ),
      inset: inset 0 1px 2px rgba(0, 0, 0, 0.075),
      outline: 0 0 0 3px rgba(66, 153, 225, 0.5),
      focus: 0 0 0 3px rgba(66, 153, 225, 0.5),
      none: none,
    ),
  ),
  "focus-ring": (
    css-var: true,
    css-variable-name: focus-ring-color,
    class: focus-ring,
    values: (
      "primary": rgba(var(--x-primary-rgb), var(--x-focus-ring-opacity)),
      "secondary": rgba(var(--x-secondary-rgb), var(--x-focus-ring-opacity)),
      "success": rgba(var(--x-success-rgb), var(--x-focus-ring-opacity)),
      "info": rgba(var(--x-info-rgb), var(--x-focus-ring-opacity)),
      "warning": rgba(var(--x-warning-rgb), var(--x-focus-ring-opacity)),
      "danger": rgba(var(--x-danger-rgb), var(--x-focus-ring-opacity)),
      "light": rgba(var(--x-light-rgb), var(--x-focus-ring-opacity)),
      "dark": rgba(var(--x-dark-rgb), var(--x-focus-ring-opacity)),
    ),
  ),
  "position": (
    property: position,
    values: static relative absolute fixed sticky,
    responsive: true,
  ),
  "top": (
    property: top,
    values: (
      0: 0,
      50: 50%,
      100: 100%,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
    responsive: true,
  ),
  "bottom": (
    property: bottom,
    values: (
      0: 0,
      50: 50%,
      100: 100%,
    ),
    responsive: true,
  ),
  "start": (
    property: left,
    class: start,
    values: (
      0: 0,
      50: 50%,
      100: 100%,
    ),
    responsive: true,
  ),
  "end": (
    property: right,
    class: end,
    values: (
      0: 0,
      50: 50%,
      100: 100%,
    ),
    responsive: true,
  ),
  "translate-middle": (
    property: transform,
    class: translate-middle,
    values: (
      null: translate(-50%, -50%),
      x: translateX(-50%),
      y: translateY(-50%),
    ),
  ),
  "border": (
    property: border,
    values: (
      null: var(--x-border-width) var(--x-border-style) var(--x-border-color),
      0: 0,
    ),
    responsive: true,
  ),
  "border-top": (
    property: border-top,
    values: (
      null: var(--x-border-width) var(--x-border-style) var(--x-border-color),
      0: 0,
    ),
    responsive: true,
  ),
  "border-end": (
    property: border-right,
    class: border-end,
    values: (
      null: var(--x-border-width) var(--x-border-style) var(--x-border-color),
      0: 0,
    ),
    responsive: true,
  ),
  "border-bottom": (
    property: border-bottom,
    values: (
      null: var(--x-border-width) var(--x-border-style) var(--x-border-color),
      0: 0,
    ),
    responsive: true,
  ),
  "border-start": (
    property: border-left,
    class: border-start,
    values: (
      null: var(--x-border-width) var(--x-border-style) var(--x-border-color),
      0: 0,
    ),
    responsive: true,
  ),
  "border-color": (
    property: border-color,
    class: border,
    local-vars: (
      "border-opacity": 1,
    ),
    values: (
      "primary": rgba(var(--x-primary-rgb), var(--x-border-opacity)),
      "secondary": rgba(var(--x-secondary-rgb), var(--x-border-opacity)),
      "success": rgba(var(--x-success-rgb), var(--x-border-opacity)),
      "info": rgba(var(--x-info-rgb), var(--x-border-opacity)),
      "warning": rgba(var(--x-warning-rgb), var(--x-border-opacity)),
      "danger": rgba(var(--x-danger-rgb), var(--x-border-opacity)),
      "light": rgba(var(--x-light-rgb), var(--x-border-opacity)),
      "dark": rgba(var(--x-dark-rgb), var(--x-border-opacity)),
      "black": rgba(var(--x-black-rgb), var(--x-border-opacity)),
      "white": rgba(var(--x-white-rgb), var(--x-border-opacity)),
      "blue-100": #d8e6fd,
      "blue-200": #b1cdfb,
      "blue-300": #89b4fa,
      "blue-400": #629bf8,
      "blue-500": #3b82f6,
      "blue-600": #2f68c5,
      "blue-700": #234e94,
      "blue-800": #183462,
      "blue-900": #0c1a31,
      "indigo-100": #e0e0fc,
      "indigo-200": #c1c2f9,
      "indigo-300": #a1a3f7,
      "indigo-400": #8285f4,
      "indigo-500": #6366f1,
      "indigo-600": #4f52c1,
      "indigo-700": #3b3d91,
      "indigo-800": #282960,
      "indigo-900": #141430,
      "purple-100": #e8defd,
      "purple-200": #d1befb,
      "purple-300": #b99dfa,
      "purple-400": #a27df8,
      "purple-500": #8b5cf6,
      "purple-600": #6f4ac5,
      "purple-700": #533794,
      "purple-800": #382562,
      "purple-900": #1c1231,
      "pink-100": #fbdaeb,
      "pink-200": #f7b6d6,
      "pink-300": #f491c2,
      "pink-400": #f06dad,
      "pink-500": #ec4899,
      "pink-600": #bd3a7a,
      "pink-700": #8e2b5c,
      "pink-800": #5e1d3d,
      "pink-900": #2f0e1f,
      "red-100": #fcdada,
      "red-200": #f9b4b4,
      "red-300": #f58f8f,
      "red-400": #f26969,
      "red-500": #ef4444,
      "red-600": #bf3636,
      "red-700": #8f2929,
      "red-800": #601b1b,
      "red-900": #300e0e,
      "orange-100": #fee3d0,
      "orange-200": #fdc7a2,
      "orange-300": #fbab73,
      "orange-400": #fa8f45,
      "orange-500": #f97316,
      "orange-600": #c75c12,
      "orange-700": #95450d,
      "orange-800": #642e09,
      "orange-900": #321704,
      "yellow-100": #fbf0ce,
      "yellow-200": #f7e19c,
      "yellow-300": #f2d16b,
      "yellow-400": #eec239,
      "yellow-500": #eab308,
      "yellow-600": #bb8f06,
      "yellow-700": #8c6b05,
      "yellow-800": #5e4803,
      "yellow-900": #2f2402,
      "green-100": #d3f3df,
      "green-200": #a7e8bf,
      "green-300": #7adc9e,
      "green-400": #4ed17e,
      "green-500": #22c55e,
      "green-600": #1b9e4b,
      "green-700": #147638,
      "green-800": #0e4f26,
      "green-900": #072713,
      "teal-100": #d0f1ed,
      "teal-200": #a1e3db,
      "teal-300": #72d4ca,
      "teal-400": #43c6b8,
      "teal-500": #14b8a6,
      "teal-600": #109385,
      "teal-700": #0c6e64,
      "teal-800": #084a42,
      "teal-900": #042521,
      "cyan-100": #cdf0f6,
      "cyan-200": #9be2ee,
      "cyan-300": #6ad3e5,
      "cyan-400": #38c5dd,
      "cyan-500": #06b6d4,
      "cyan-600": #0592aa,
      "cyan-700": #046d7f,
      "cyan-800": #024955,
      "cyan-900": #01242a,
    ),
    responsive: true,
  ),
  "subtle-border-color": (
    property: border-color,
    class: border,
    values: (
      "primary-subtle": var(--x-primary-border-subtle),
      "secondary-subtle": var(--x-secondary-border-subtle),
      "success-subtle": var(--x-success-border-subtle),
      "info-subtle": var(--x-info-border-subtle),
      "warning-subtle": var(--x-warning-border-subtle),
      "danger-subtle": var(--x-danger-border-subtle),
      "light-subtle": var(--x-light-border-subtle),
      "dark-subtle": var(--x-dark-border-subtle),
    ),
  ),
  "border-width": (
    property: border-width,
    class: border,
    values: (
      1: 1px,
      2: 2px,
      3: 3px,
      4: 4px,
      5: 5px,
    ),
  ),
  "border-opacity": (
    css-var: true,
    class: border-opacity,
    values: (
      0: 0,
      10: 0.1,
      25: 0.25,
      50: 0.5,
      75: 0.75,
      100: 1,
    ),
    state: hover,
  ),
  "width": (
    property: width,
    class: w,
    values: (
      25: 25%,
      50: 50%,
      75: 75%,
      100: 100%,
      auto: auto,
    ),
    responsive: true,
  ),
  "max-width": (
    property: max-width,
    class: mw,
    values: (
      screen-sm: 640px,
      screen-md: 768px,
      screen-lg: 1024px,
      screen-xl: 1280px,
      screen-xxl: 1536px,
      0: 0,
      full: 100%,
      read: 65ch,
      min: min-content,
      max: max-content,
    ),
    responsive: true,
  ),
  "viewport-width": (
    property: width,
    class: vw,
    values: (
      100: 100vw,
    ),
  ),
  "min-viewport-width": (
    property: min-width,
    class: min-vw,
    values: (
      100: 100vw,
    ),
  ),
  "height": (
    property: height,
    class: h,
    values: (
      25: 25%,
      50: 50%,
      75: 75%,
      100: 100%,
      auto: auto,
    ),
    responsive: true,
  ),
  "max-height": (
    property: max-height,
    class: mh,
    values: (
      100: 100%,
    ),
  ),
  "viewport-height": (
    property: height,
    class: vh,
    values: (
      100: 100vh,
    ),
    responsive: true,
  ),
  "min-viewport-height": (
    property: min-height,
    class: min-vh,
    values: (
      100: 100vh,
    ),
  ),
  "flex": (
    responsive: true,
    property: flex,
    values: (
      fill: 1 1 auto,
      initial: 0 1 auto,
      none: none,
    ),
  ),
  "flex-direction": (
    responsive: true,
    property: flex-direction,
    class: flex,
    values: row column row-reverse column-reverse,
  ),
  "flex-grow": (
    responsive: true,
    property: flex-grow,
    class: flex,
    values: (
      grow-0: 0,
      grow-1: 1,
    ),
  ),
  "flex-shrink": (
    responsive: true,
    property: flex-shrink,
    class: flex,
    values: (
      shrink-0: 0,
      shrink-1: 1,
    ),
  ),
  "flex-wrap": (
    responsive: true,
    property: flex-wrap,
    class: flex,
    values: wrap nowrap wrap-reverse,
  ),
  "justify-content": (
    responsive: true,
    property: justify-content,
    values: (
      start: flex-start,
      end: flex-end,
      center: center,
      between: space-between,
      around: space-around,
      evenly: space-evenly,
    ),
  ),
  "align-items": (
    responsive: true,
    property: align-items,
    values: (
      start: flex-start,
      end: flex-end,
      center: center,
      baseline: baseline,
      stretch: stretch,
    ),
  ),
  "align-content": (
    responsive: true,
    property: align-content,
    values: (
      start: flex-start,
      end: flex-end,
      center: center,
      between: space-between,
      around: space-around,
      stretch: stretch,
    ),
  ),
  "align-self": (
    responsive: true,
    property: align-self,
    values: (
      auto: auto,
      start: flex-start,
      end: flex-end,
      center: center,
      baseline: baseline,
      stretch: stretch,
    ),
  ),
  "order": (
    responsive: true,
    property: order,
    values: (
      first: -1,
      0: 0,
      1: 1,
      2: 2,
      3: 3,
      4: 4,
      5: 5,
      last: 6,
    ),
  ),
  "margin": (
    responsive: true,
    property: margin,
    class: m,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
      auto: auto,
    ),
  ),
  "margin-x": (
    responsive: true,
    property: margin-right margin-left,
    class: mx,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
      auto: auto,
    ),
  ),
  "margin-y": (
    responsive: true,
    property: margin-top margin-bottom,
    class: my,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
      auto: auto,
    ),
  ),
  "margin-top": (
    responsive: true,
    property: margin-top,
    class: mt,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
      auto: auto,
    ),
  ),
  "margin-end": (
    responsive: true,
    property: margin-right,
    class: me,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
      auto: auto,
    ),
  ),
  "margin-bottom": (
    responsive: true,
    property: margin-bottom,
    class: mb,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
      auto: auto,
    ),
  ),
  "margin-start": (
    responsive: true,
    property: margin-left,
    class: ms,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
      auto: auto,
    ),
  ),
  "negative-margin": (
    responsive: true,
    property: margin,
    class: m,
    values: (
      "n1": -0.25rem,
      "n2": -0.5rem,
      "n3": -0.75rem,
      "n4": -1rem,
      "n5": -1.25rem,
      "n6": -1.5rem,
      "n7": -1.75rem,
      "n8": -2rem,
      "n10": -2.5rem,
      "n12": -3rem,
      "n14": -3.5rem,
      "n16": -4rem,
      "n18": -4.5rem,
      "n20": -5rem,
      "n24": -6rem,
      "n32": -8rem,
      "n40": -10rem,
      "n48": -12rem,
      "n56": -14rem,
      "n64": -16rem,
      "n72": -18rem,
      "n80": -20rem,
      "npx": -1px,
    ),
  ),
  "negative-margin-x": (
    responsive: true,
    property: margin-right margin-left,
    class: mx,
    values: (
      "n1": -0.25rem,
      "n2": -0.5rem,
      "n3": -0.75rem,
      "n4": -1rem,
      "n5": -1.25rem,
      "n6": -1.5rem,
      "n7": -1.75rem,
      "n8": -2rem,
      "n10": -2.5rem,
      "n12": -3rem,
      "n14": -3.5rem,
      "n16": -4rem,
      "n18": -4.5rem,
      "n20": -5rem,
      "n24": -6rem,
      "n32": -8rem,
      "n40": -10rem,
      "n48": -12rem,
      "n56": -14rem,
      "n64": -16rem,
      "n72": -18rem,
      "n80": -20rem,
      "npx": -1px,
    ),
  ),
  "negative-margin-y": (
    responsive: true,
    property: margin-top margin-bottom,
    class: my,
    values: (
      "n1": -0.25rem,
      "n2": -0.5rem,
      "n3": -0.75rem,
      "n4": -1rem,
      "n5": -1.25rem,
      "n6": -1.5rem,
      "n7": -1.75rem,
      "n8": -2rem,
      "n10": -2.5rem,
      "n12": -3rem,
      "n14": -3.5rem,
      "n16": -4rem,
      "n18": -4.5rem,
      "n20": -5rem,
      "n24": -6rem,
      "n32": -8rem,
      "n40": -10rem,
      "n48": -12rem,
      "n56": -14rem,
      "n64": -16rem,
      "n72": -18rem,
      "n80": -20rem,
      "npx": -1px,
    ),
  ),
  "negative-margin-top": (
    responsive: true,
    property: margin-top,
    class: mt,
    values: (
      "n1": -0.25rem,
      "n2": -0.5rem,
      "n3": -0.75rem,
      "n4": -1rem,
      "n5": -1.25rem,
      "n6": -1.5rem,
      "n7": -1.75rem,
      "n8": -2rem,
      "n10": -2.5rem,
      "n12": -3rem,
      "n14": -3.5rem,
      "n16": -4rem,
      "n18": -4.5rem,
      "n20": -5rem,
      "n24": -6rem,
      "n32": -8rem,
      "n40": -10rem,
      "n48": -12rem,
      "n56": -14rem,
      "n64": -16rem,
      "n72": -18rem,
      "n80": -20rem,
      "npx": -1px,
    ),
  ),
  "negative-margin-end": (
    responsive: true,
    property: margin-right,
    class: me,
    values: (
      "n1": -0.25rem,
      "n2": -0.5rem,
      "n3": -0.75rem,
      "n4": -1rem,
      "n5": -1.25rem,
      "n6": -1.5rem,
      "n7": -1.75rem,
      "n8": -2rem,
      "n10": -2.5rem,
      "n12": -3rem,
      "n14": -3.5rem,
      "n16": -4rem,
      "n18": -4.5rem,
      "n20": -5rem,
      "n24": -6rem,
      "n32": -8rem,
      "n40": -10rem,
      "n48": -12rem,
      "n56": -14rem,
      "n64": -16rem,
      "n72": -18rem,
      "n80": -20rem,
      "npx": -1px,
    ),
  ),
  "negative-margin-bottom": (
    responsive: true,
    property: margin-bottom,
    class: mb,
    values: (
      "n1": -0.25rem,
      "n2": -0.5rem,
      "n3": -0.75rem,
      "n4": -1rem,
      "n5": -1.25rem,
      "n6": -1.5rem,
      "n7": -1.75rem,
      "n8": -2rem,
      "n10": -2.5rem,
      "n12": -3rem,
      "n14": -3.5rem,
      "n16": -4rem,
      "n18": -4.5rem,
      "n20": -5rem,
      "n24": -6rem,
      "n32": -8rem,
      "n40": -10rem,
      "n48": -12rem,
      "n56": -14rem,
      "n64": -16rem,
      "n72": -18rem,
      "n80": -20rem,
      "npx": -1px,
    ),
  ),
  "negative-margin-start": (
    responsive: true,
    property: margin-left,
    class: ms,
    values: (
      "n1": -0.25rem,
      "n2": -0.5rem,
      "n3": -0.75rem,
      "n4": -1rem,
      "n5": -1.25rem,
      "n6": -1.5rem,
      "n7": -1.75rem,
      "n8": -2rem,
      "n10": -2.5rem,
      "n12": -3rem,
      "n14": -3.5rem,
      "n16": -4rem,
      "n18": -4.5rem,
      "n20": -5rem,
      "n24": -6rem,
      "n32": -8rem,
      "n40": -10rem,
      "n48": -12rem,
      "n56": -14rem,
      "n64": -16rem,
      "n72": -18rem,
      "n80": -20rem,
      "npx": -1px,
    ),
  ),
  "padding": (
    responsive: true,
    property: padding,
    class: p,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
  ),
  "padding-x": (
    responsive: true,
    property: padding-right padding-left,
    class: px,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
  ),
  "padding-y": (
    responsive: true,
    property: padding-top padding-bottom,
    class: py,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
  ),
  "padding-top": (
    responsive: true,
    property: padding-top,
    class: pt,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
  ),
  "padding-end": (
    responsive: true,
    property: padding-right,
    class: pe,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
  ),
  "padding-bottom": (
    responsive: true,
    property: padding-bottom,
    class: pb,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
  ),
  "padding-start": (
    responsive: true,
    property: padding-left,
    class: ps,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
  ),
  "gap": (
    responsive: true,
    property: gap,
    class: gap,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
  ),
  "row-gap": (
    responsive: true,
    property: row-gap,
    class: row-gap,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
  ),
  "column-gap": (
    responsive: true,
    property: column-gap,
    class: column-gap,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
  ),
  "font-family": (
    property: font-family,
    class: font,
    values: (
      monospace: var(--x-font-monospace),
      base: var(--x-font-sans-serif),
      serif: var(--x-font-serif),
      display: var(--x-font-display),
      code: var(--x-font-monospace),
    ),
  ),
  "font-size": (
    rfs: true,
    property: font-size,
    class: fs,
    values: (
      1: 2.25rem,
      2: 1.75rem,
      3: 1.375rem,
      4: 1.125rem,
      5: 1rem,
      6: 0.875rem,
    ),
  ),
  "font-style": (
    property: font-style,
    class: fst,
    values: italic normal,
  ),
  "font-weight": (
    property: font-weight,
    class: fw,
    values: (
      lighter: lighter,
      light: 300,
      normal: 400,
      medium: 500,
      semibold: 500,
      bold: 600,
      bolder: 700,
    ),
  ),
  "line-height": (
    property: line-height,
    class: lh,
    values: (
      1: 1,
      xxs: 1.125,
      xs: 1.2,
      sm: 1.375,
      base: 1.5,
      lg: 1.625,
      xl: 2,
    ),
  ),
  "text-align": (
    responsive: true,
    property: text-align,
    class: text,
    values: (
      start: left,
      end: right,
      center: center,
    ),
  ),
  "text-decoration": (
    property: text-decoration,
    values: none underline line-through,
  ),
  "text-transform": (
    property: text-transform,
    class: text,
    values: lowercase uppercase capitalize,
  ),
  "white-space": (
    property: white-space,
    class: text,
    values: (
      wrap: normal,
      nowrap: nowrap,
    ),
  ),
  "word-wrap": (
    property: word-wrap word-break,
    class: text,
    values: (
      break: break-word,
    ),
    rtl: false,
  ),
  "color": (
    property: color,
    class: text,
    local-vars: (
      "text-opacity": 1,
    ),
    values: (
      "primary": rgba(var(--x-primary-rgb), var(--x-text-opacity)),
      "secondary": rgba(var(--x-secondary-rgb), var(--x-text-opacity)),
      "success": rgba(var(--x-success-rgb), var(--x-text-opacity)),
      "info": rgba(var(--x-info-rgb), var(--x-text-opacity)),
      "warning": rgba(var(--x-warning-rgb), var(--x-text-opacity)),
      "danger": rgba(var(--x-danger-rgb), var(--x-text-opacity)),
      "light": rgba(var(--x-light-rgb), var(--x-text-opacity)),
      "dark": rgba(var(--x-dark-rgb), var(--x-text-opacity)),
      "black": rgba(var(--x-black-rgb), var(--x-text-opacity)),
      "white": rgba(var(--x-white-rgb), var(--x-text-opacity)),
      "body": rgba(var(--x-body-color-rgb), var(--x-text-opacity)),
      "muted": var(--x-secondary-color),
      "black-50": rgba(0, 0, 0, 0.5),
      "white-50": rgba(255, 255, 255, 0.5),
      "body-secondary": var(--x-secondary-color),
      "body-tertiary": var(--x-tertiary-color),
      "body-emphasis": var(--x-emphasis-color),
      "reset": inherit,
      "heading": var(--x-heading-color),
    ),
    state: hover,
  ),
  "text-opacity": (
    css-var: true,
    class: text-opacity,
    values: (
      25: 0.25,
      50: 0.5,
      75: 0.75,
      100: 1,
    ),
    state: hover,
  ),
  "text-color": (
    property: color,
    class: text,
    values: (
      "primary-emphasis": var(--x-primary-text-emphasis),
      "secondary-emphasis": var(--x-secondary-text-emphasis),
      "success-emphasis": var(--x-success-text-emphasis),
      "info-emphasis": var(--x-info-text-emphasis),
      "warning-emphasis": var(--x-warning-text-emphasis),
      "danger-emphasis": var(--x-danger-text-emphasis),
      "light-emphasis": var(--x-light-text-emphasis),
      "dark-emphasis": var(--x-dark-text-emphasis),
    ),
  ),
  "link-opacity": (
    css-var: true,
    class: link-opacity,
    state: hover,
    values: (
      10: 0.1,
      25: 0.25,
      50: 0.5,
      75: 0.75,
      100: 1,
    ),
  ),
  "link-offset": (
    property: text-underline-offset,
    class: link-offset,
    state: hover,
    values: (
      1: 0.125em,
      2: 0.25em,
      3: 0.375em,
    ),
  ),
  "link-underline": (
    property: text-decoration-color,
    class: link-underline,
    local-vars: (
      "link-underline-opacity": 1,
    ),
    values: (
      "primary": rgba(var(--x-primary-rgb), var(--x-link-underline-opacity)),
      "secondary": rgba(var(--x-secondary-rgb), var(--x-link-underline-opacity)),
      "success": rgba(var(--x-success-rgb), var(--x-link-underline-opacity)),
      "info": rgba(var(--x-info-rgb), var(--x-link-underline-opacity)),
      "warning": rgba(var(--x-warning-rgb), var(--x-link-underline-opacity)),
      "danger": rgba(var(--x-danger-rgb), var(--x-link-underline-opacity)),
      "light": rgba(var(--x-light-rgb), var(--x-link-underline-opacity)),
      "dark": rgba(var(--x-dark-rgb), var(--x-link-underline-opacity)),
      null: rgba(var(--x-link-color-rgb), var(--x-link-underline-opacity, 1)),
    ),
  ),
  "link-underline-opacity": (
    css-var: true,
    class: link-underline-opacity,
    state: hover,
    values: (
      0: 0,
      10: 0.1,
      25: 0.25,
      50: 0.5,
      75: 0.75,
      100: 1,
    ),
  ),
  "background-color": (
    property: background-color,
    class: bg,
    local-vars: (
      "bg-opacity": 1,
    ),
    values: (
      "primary": rgba(var(--x-primary-rgb), var(--x-bg-opacity)),
      "secondary": rgba(var(--x-secondary-rgb), var(--x-bg-opacity)),
      "success": rgba(var(--x-success-rgb), var(--x-bg-opacity)),
      "info": rgba(var(--x-info-rgb), var(--x-bg-opacity)),
      "warning": rgba(var(--x-warning-rgb), var(--x-bg-opacity)),
      "danger": rgba(var(--x-danger-rgb), var(--x-bg-opacity)),
      "light": rgba(var(--x-light-rgb), var(--x-bg-opacity)),
      "dark": rgba(var(--x-dark-rgb), var(--x-bg-opacity)),
      "black": rgba(var(--x-black-rgb), var(--x-bg-opacity)),
      "white": rgba(var(--x-white-rgb), var(--x-bg-opacity)),
      "body": rgba(var(--x-body-bg-rgb), var(--x-bg-opacity)),
      "transparent": transparent,
      "body-secondary": rgba(var(--x-secondary-bg-rgb), var(--x-bg-opacity)),
      "body-tertiary": rgba(var(--x-tertiary-bg-rgb), var(--x-bg-opacity)),
      "blue-100": #d8e6fd,
      "blue-200": #b1cdfb,
      "blue-300": #89b4fa,
      "blue-400": #629bf8,
      "blue-500": #3b82f6,
      "blue-600": #2f68c5,
      "blue-700": #234e94,
      "blue-800": #183462,
      "blue-900": #0c1a31,
      "indigo-100": #e0e0fc,
      "indigo-200": #c1c2f9,
      "indigo-300": #a1a3f7,
      "indigo-400": #8285f4,
      "indigo-500": #6366f1,
      "indigo-600": #4f52c1,
      "indigo-700": #3b3d91,
      "indigo-800": #282960,
      "indigo-900": #141430,
      "purple-100": #e8defd,
      "purple-200": #d1befb,
      "purple-300": #b99dfa,
      "purple-400": #a27df8,
      "purple-500": #8b5cf6,
      "purple-600": #6f4ac5,
      "purple-700": #533794,
      "purple-800": #382562,
      "purple-900": #1c1231,
      "pink-100": #fbdaeb,
      "pink-200": #f7b6d6,
      "pink-300": #f491c2,
      "pink-400": #f06dad,
      "pink-500": #ec4899,
      "pink-600": #bd3a7a,
      "pink-700": #8e2b5c,
      "pink-800": #5e1d3d,
      "pink-900": #2f0e1f,
      "red-100": #fcdada,
      "red-200": #f9b4b4,
      "red-300": #f58f8f,
      "red-400": #f26969,
      "red-500": #ef4444,
      "red-600": #bf3636,
      "red-700": #8f2929,
      "red-800": #601b1b,
      "red-900": #300e0e,
      "orange-100": #fee3d0,
      "orange-200": #fdc7a2,
      "orange-300": #fbab73,
      "orange-400": #fa8f45,
      "orange-500": #f97316,
      "orange-600": #c75c12,
      "orange-700": #95450d,
      "orange-800": #642e09,
      "orange-900": #321704,
      "yellow-100": #fbf0ce,
      "yellow-200": #f7e19c,
      "yellow-300": #f2d16b,
      "yellow-400": #eec239,
      "yellow-500": #eab308,
      "yellow-600": #bb8f06,
      "yellow-700": #8c6b05,
      "yellow-800": #5e4803,
      "yellow-900": #2f2402,
      "green-100": #d3f3df,
      "green-200": #a7e8bf,
      "green-300": #7adc9e,
      "green-400": #4ed17e,
      "green-500": #22c55e,
      "green-600": #1b9e4b,
      "green-700": #147638,
      "green-800": #0e4f26,
      "green-900": #072713,
      "teal-100": #d0f1ed,
      "teal-200": #a1e3db,
      "teal-300": #72d4ca,
      "teal-400": #43c6b8,
      "teal-500": #14b8a6,
      "teal-600": #109385,
      "teal-700": #0c6e64,
      "teal-800": #084a42,
      "teal-900": #042521,
      "cyan-100": #cdf0f6,
      "cyan-200": #9be2ee,
      "cyan-300": #6ad3e5,
      "cyan-400": #38c5dd,
      "cyan-500": #06b6d4,
      "cyan-600": #0592aa,
      "cyan-700": #046d7f,
      "cyan-800": #024955,
      "cyan-900": #01242a,
      "gray-50": #f8fafc,
      "gray-100": #f1f5f9,
      "gray-200": #e2e8f0,
      "gray-300": #cbd5e1,
      "gray-400": #94a3b8,
      "gray-500": #64748b,
      "gray-600": #475569,
      "gray-700": #334155,
      "gray-800": #1e293b,
      "gray-900": #0f172a,
      "gray-950": #020617,
    ),
    state: hover,
  ),
  "bg-opacity": (
    css-var: true,
    class: bg-opacity,
    values: (
      10: 0.1,
      25: 0.25,
      50: 0.5,
      75: 0.75,
      100: 1,
    ),
    state: hover,
  ),
  "subtle-background-color": (
    property: background-color,
    class: bg,
    values: (
      "primary-subtle": var(--x-primary-bg-subtle),
      "secondary-subtle": var(--x-secondary-bg-subtle),
      "success-subtle": var(--x-success-bg-subtle),
      "info-subtle": var(--x-info-bg-subtle),
      "warning-subtle": var(--x-warning-bg-subtle),
      "danger-subtle": var(--x-danger-bg-subtle),
      "light-subtle": var(--x-light-bg-subtle),
      "dark-subtle": var(--x-dark-bg-subtle),
    ),
  ),
  "gradient": (
    property: background-image,
    class: bg,
    values: (
      gradient: var(--x-gradient),
    ),
  ),
  "user-select": (
    property: user-select,
    values: all auto none,
  ),
  "pointer-events": (
    property: pointer-events,
    class: pe,
    values: none auto,
  ),
  "rounded": (
    property: border-radius,
    class: rounded,
    values: (
      null: 0.375rem,
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.5rem,
      6: 3rem,
      pill: 50rem,
      circle: 50%,
      card: var(--x-border-radius-xl),
    ),
    responsive: true,
  ),
  "rounded-top": (
    property: border-top-left-radius border-top-right-radius,
    class: rounded-top,
    values: (
      null: 0.375rem,
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.5rem,
      6: 3rem,
      pill: 50rem,
      circle: 50%,
      card: var(--x-border-radius-xl),
    ),
    responsive: true,
  ),
  "rounded-end": (
    property: border-top-right-radius border-bottom-right-radius,
    class: rounded-end,
    values: (
      null: 0.375rem,
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.5rem,
      6: 3rem,
      pill: 50rem,
      circle: 50%,
      card: var(--x-border-radius-xl),
    ),
    responsive: true,
  ),
  "rounded-bottom": (
    property: border-bottom-right-radius border-bottom-left-radius,
    class: rounded-bottom,
    values: (
      null: 0.375rem,
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.5rem,
      6: 3rem,
      pill: 50rem,
      circle: 50%,
      card: var(--x-border-radius-xl),
    ),
    responsive: true,
  ),
  "rounded-start": (
    property: border-bottom-left-radius border-top-left-radius,
    class: rounded-start,
    values: (
      null: 0.375rem,
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.5rem,
      6: 3rem,
      pill: 50rem,
      circle: 50%,
      card: var(--x-border-radius-xl),
    ),
    responsive: true,
  ),
  "visibility": (
    property: visibility,
    class: null,
    values: (
      visible: visible,
      invisible: hidden,
    ),
  ),
  "z-index": (
    property: z-index,
    class: z,
    values: (
      n1: -1,
      0: 0,
      1: 1,
      2: 2,
      3: 3,
    ),
    state: hover,
  ),
  "rounded-top-start": (
    property: border-top-left-radius,
    class: rounded-top-start,
    responsive: true,
    values: (
      null: 0.375rem,
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.5rem,
      6: 3rem,
      pill: 50rem,
      circle: 50%,
      card: var(--x-border-radius-xl),
    ),
  ),
  "rounded-top-end": (
    property: border-top-right-radius,
    class: rounded-top-end,
    responsive: true,
    values: (
      null: 0.375rem,
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.5rem,
      6: 3rem,
      pill: 50rem,
      circle: 50%,
      card: var(--x-border-radius-xl),
    ),
  ),
  "rounded-bottom-end": (
    property: border-bottom-right-radius,
    class: rounded-bottom-end,
    responsive: true,
    values: (
      null: 0.375rem,
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.5rem,
      6: 3rem,
      pill: 50rem,
      circle: 50%,
      card: var(--x-border-radius-xl),
    ),
  ),
  "rounded-bottom-start": (
    property: border-bottom-left-radius,
    class: rounded-bottom-start,
    responsive: true,
    values: (
      null: 0.375rem,
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.5rem,
      6: 3rem,
      pill: 50rem,
      circle: 50%,
      card: var(--x-border-radius-xl),
    ),
  ),
  "static-border-color": (
    property: border-color,
    class: border,
    values: (
      "transparent": transparent,
      "current": currentColor,
    ),
  ),
  "border-style": (
    css-var: true,
    css-variable-name: border-style,
    class: border,
    values: solid dashed dotted none,
  ),
  "cursor": (
    property: cursor,
    class: cursor,
    values: auto pointer wait text,
  ),
  "alt-font-size": (
    rfs: true,
    property: font-size,
    class: text,
    values: (
      xxs: 0.625rem,
      xs: 0.75rem,
      sm: 0.875rem,
      base: 1rem,
      md: 1.125rem,
      lg: 1.25rem,
      xl: 1.5rem,
      2xl: 2rem,
    ),
  ),
  "letter-spacing": (
    property: letter-spacing,
    class: ls,
    values: (
      tighter: -0.05em,
      tight: -0.025em,
      normal: 0,
      wide: 0.025em,
      wider: 0.05em,
      widest: 0.1em,
    ),
  ),
  "static-color": (
    property: color,
    class: text,
    values: (
      "transparent": transparent,
      "current": currentColor,
    ),
  ),
  "static-background-color": (
    property: background-color,
    class: bg,
    values: (
      "current": currentColor,
    ),
  ),
  "background-size": (
    property: background-size,
    class: bg,
    values: auto cover contain,
  ),
  "background-clip": (
    property: background-clip,
    class: bg-clip,
    values: (
      border: border-box,
      padding: padding-box,
      content: content-box,
      text: text,
    ),
  ),
  "soft-shadow": (
    property: box-shadow,
    class: shadow-soft,
    responsive: true,
    state: hover,
    values: (
      1: 0px 1px 1px 0px rgba(10, 22, 70, 0.04),
      2: 0px 6px 6px -1px rgba(10, 22, 70, 0.04),
      3: 0px 9px 9px -1px rgba(10, 22, 70, 0.04),
      4: 0px 16px 16px -1px rgba(10, 22, 70, 0.04),
      5: 0px 32px 40px -2px rgba(10, 22, 70, 0.04),
      6: 0px 36px 50px 0 rgba(10, 22, 70, 0.04),
      none: none,
    ),
  ),
  "rem-width": (
    property: width,
    class: w-rem,
    responsive: true,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
      25: 25%,
      50: 50%,
      75: 75%,
      100: 100%,
      screen-sm: 640px,
      screen-md: 768px,
      screen-lg: 1024px,
      screen-xl: 1280px,
      screen-xxl: 1536px,
      auto: auto,
      full: 100%,
      screen: 100vw,
      min: min-content,
      max: max-content,
    ),
  ),
  "rem-height": (
    property: height,
    class: h-rem,
    responsive: true,
    values: (
      0: 0,
      1: 0.25rem,
      2: 0.5rem,
      3: 0.75rem,
      4: 1rem,
      5: 1.25rem,
      6: 1.5rem,
      7: 1.75rem,
      8: 2rem,
      10: 2.5rem,
      12: 3rem,
      14: 3.5rem,
      16: 4rem,
      18: 4.5rem,
      20: 5rem,
      24: 6rem,
      32: 8rem,
      40: 10rem,
      48: 12rem,
      56: 14rem,
      64: 16rem,
      72: 18rem,
      80: 20rem,
      px: 1px,
    ),
  ),
  "scroll-behaviour": (
    property: scroll-behaviour,
    class: scroll,
    values: auto smooth,
  ),
  "scroll-snap-align": (
    property: scroll-snap-align,
    class: scroll-snap,
    values: start end center none,
  ),
  "scroll-snap-stop": (
    property: scroll-snap-stop,
    class: scroll-snap,
    values: normal always,
  ),
  "scroll-snap-type": (
    property: scroll-snap-type,
    class: scroll-snap,
    values: (
      none: none,
      x: x var(--x-scroll-snap-strictness),
      y: y var(--x-scroll-snap-strictness),
      both: both var(--x-scroll-snap-strictness),
    ),
  ),
  "scroll-snap-strictness": (
    css-var: true,
    css-variable-name: scroll-snap-strictness,
    class: scroll-snap,
    values: mandatory proximity,
  ),
  "transition-property": (
    property: transition-property,
    class: transition,
    responsive: true,
    values: (
      null: (
        background-color,
        border-color,
        color,
        fill,
        stroke,
        opacity,
        box-shadow,
        transform,
      ),
      none: none,
      all: all,
      colors: (
        background-color,
        border-color,
        color,
        fill,
        stroke,
      ),
      opacity: opacity,
      shadow: box-shadow,
      transform: transform,
    ),
  ),
  "transition-timing-function": (
    property: transition-timing-function,
    class: ease,
    responsive: true,
    values: (
      base: cubic-bezier(0.4, 0, 0.2, 1),
      linear: linear,
      in: cubic-bezier(0.4, 0, 1, 1),
      out: cubic-bezier(0, 0, 0.2, 1),
      in-out: cubic-bezier(0.4, 0, 0.2, 1),
    ),
  ),
  "transition-duration": (
    property: transition-duration,
    class: duration,
    values: (
      base: 150ms,
      75: 75ms,
      100: 100ms,
      150: 150ms,
      300: 300ms,
      500: 500ms,
      700: 700ms,
      1000: 1000ms,
    ),
  ),
  "transition-delay": (
    property: transition-delay,
    class: delay,
    values: (
      75: 75ms,
      100: 100ms,
      150: 150ms,
      300: 300ms,
      500: 500ms,
      700: 700ms,
      1000: 1000ms,
    ),
  ),
  "animation": (
    property: animation,
    values: (
      none: none,
      spin: spin 1s linear infinite,
      ping: ping 1s cubic-bezier(0, 0, 0.2, 1) infinite,
      pulse: pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite,
      bounce: bounce 1s infinite,
      slide-left: slideLeft 3s infinite,
      slide-right: slideRight 3s infinite,
      move-slow-left: slideLeft 15s linear infinite,
      move-slow-right: slideRight 15s linear infinite,
    ),
  ),
  "blur": (
    property: --bs-blur,
    class: blur,
    values: (
      5: 5px,
      10: 10px,
      25: 25px,
      50: 50px,
      75: 75px,
      100: 100px,
      125: 125px,
      150: 150px,
      200: 200px,
    ),
  ),
  "transform": (
    property: transform,
    values: none,
    responsive: true,
  ),
  "transform-origin": (
    property: transform-origin,
    class: origin,
    values: (
      center: center,
      top: top,
      top-right: top right,
      right: right,
      bottom-right: bottom right,
      bottom: bottom,
      bottom-left: bottom left,
      left: left,
      top-left: top left,
    ),
  ),
  "scale": (
    property: --bs-scale-x --bs-scale-y,
    class: scale,
    state: hover,
    responsive: true,
    values: (
      0: 0,
      25: 0.25,
      50: 0.5,
      75: 0.75,
      100: 1,
      105: 1.05,
      110: 1.1,
    ),
  ),
  "rotate": (
    property: --bs-rotate,
    class: rotate,
    state: hover,
    responsive: true,
    values: (
      0: 0deg,
      1: 1deg,
      2: 2deg,
      3: 3deg,
      6: 6deg,
      12: 12deg,
      30: 30deg,
      45: 45deg,
      90: 90deg,
      180: 180deg,
    ),
  ),
  "negative-rotate": (
    property: --bs-rotate,
    class: rotate,
    state: hover,
    responsive: true,
    values: (
      "n1": -1deg,
      "n2": -2deg,
      "n3": -3deg,
      "n6": -6deg,
      "n12": -12deg,
      "n30": -30deg,
      "n45": -45deg,
      "n90": -90deg,
      "n180": -180deg,
    ),
  ),
  "negative-rotate-y": (
    property: --bs-rotate-y,
    class: rotate-y,
    state: hover,
    responsive: true,
    values: (
      "n1": -1deg,
      "n2": -2deg,
      "n3": -3deg,
      "n6": -6deg,
      "n12": -12deg,
      "n30": -30deg,
      "n45": -45deg,
      "n90": -90deg,
      "n180": -180deg,
    ),
  ),
  "negative-rotate-x": (
    property: --bs-rotate-x,
    class: rotate-x,
    responsive: true,
    values: (
      "n1": -1deg,
      "n2": -2deg,
      "n3": -3deg,
      "n6": -6deg,
      "n12": -12deg,
      "n30": -30deg,
      "n45": -45deg,
      "n90": -90deg,
      "n180": -180deg,
    ),
  ),
  "translate-y": (
    property: --bs-translate-y,
    class: translate-y,
    state: hover,
    responsive: true,
    values: (
      0: 0,
      25: 25%,
      50: 50%,
      75: 75%,
      100: 100%,
    ),
  ),
  "negative-translate-y": (
    property: --bs-translate-y,
    class: translate-y,
    state: hover,
    responsive: true,
    values: (
      "n25": -25%,
      "n50": -50%,
      "n75": -75%,
      "n100": -100%,
    ),
  ),
  "translate-x": (
    property: --bs-translate-x,
    class: translate-x,
    state: hover,
    responsive: true,
    values: (
      0: 0,
      25: 25%,
      50: 50%,
      75: 75%,
      100: 100%,
    ),
  ),
  "negative-translate-x": (
    property: --bs-translate-x,
    class: translate-x,
    state: hover,
    responsive: true,
    values: (
      "n25": -25%,
      "n50": -50%,
      "n75": -75%,
      "n100": -100%,
    ),
  ),
);
